CVE-2021-3672

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

A flaw was found in c-ares library, where a missing input validation check of host names returned by DNS (Domain Name Servers) can lead to output of wrong hostnames which might potentially lead to Domain Hijacking. The highest threat from this vulnerability is to confidentiality and integrity as well as system availability.

References

https://c-ares.haxx.se/adv_20210810.html

https://bugzilla.redhat.com/show_bug.cgi?id=1988342

Details

Source: MITRE

Published: 2021-11-23

Updated: 2021-12-14

Type: CWE-79

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.6

Vector: CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

Impact Score: 3.4

Exploitability Score: 2.2

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:c-ares_project:c-ares:*:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:o:fedoraproject:fedora:33:*:*:*:*:*:*:*

cpe:2.3:o:fedoraproject:fedora:34:*:*:*:*:*:*:*

Configuration 3

OR

cpe:2.3:o:redhat:enterprise_linux:7.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux:7.7:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux:8.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_computer_node:1:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:7.7:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:8.1:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:8.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:8.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_ibm_z_systems:8.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_ibm_z_systems_eus:8.1:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_ibm_z_systems_eus:8.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_ibm_z_systems_eus:8.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_power_little_endian:8.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_power_little_endian_eus:8.1:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_power_little_endian_eus:8.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_for_power_little_endian_eus:8.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:8.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:8.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:8.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:8.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_update_services_for_sap_solutions:8.1:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_update_services_for_sap_solutions:8.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_update_services_for_sap_solutions:8.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_tus:8.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_workstation:1:*:*:*:*:*:*:*

Tenable Plugins

View all (46 total)

IDNameProductFamilySeverity
156540EulerOS Virtualization 3.0.2.6 : c-ares (EulerOS-SA-2021-2882)NessusHuawei Local Security Checks
medium
156378EulerOS Virtualization 3.0.2.0 : c-ares (EulerOS-SA-2021-2841)NessusHuawei Local Security Checks
medium
155495EulerOS Virtualization 2.9.0 : c-ares (EulerOS-SA-2021-2776)NessusHuawei Local Security Checks
medium
155490EulerOS Virtualization 2.9.1 : c-ares (EulerOS-SA-2021-2737)NessusHuawei Local Security Checks
medium
155267EulerOS 2.0 SP5 : c-ares (EulerOS-SA-2021-2652)NessusHuawei Local Security Checks
medium
155255EulerOS 2.0 SP9 : c-ares (EulerOS-SA-2021-2704)NessusHuawei Local Security Checks
medium
155131EulerOS 2.0 SP9 : c-ares (EulerOS-SA-2021-2679)NessusHuawei Local Security Checks
medium
154901Amazon Linux AMI : c-ares (ALAS-2021-1545)NessusAmazon Linux Local Security Checks
medium
154788EulerOS 2.0 SP8 : c-ares (EulerOS-SA-2021-2623)NessusHuawei Local Security Checks
medium
154695F5 Networks BIG-IP : Node.js vulnerabilities (K53225395)NessusF5 Networks Local Security Checks
critical
154403EulerOS 2.0 SP3 : c-ares (EulerOS-SA-2021-2574)NessusHuawei Local Security Checks
medium
153783openSUSE 15 Security Update : nodejs14 (openSUSE-SU-2021:1313-1)NessusSuSE Local Security Checks
critical
153765Oracle Linux 8 : nodejs:14 (ELSA-2021-3666)NessusOracle Linux Local Security Checks
critical
153764RHEL 8 : nodejs:14 (RHSA-2021:3666)NessusRed Hat Local Security Checks
critical
153763CentOS 8 : nodejs:14 (CESA-2021:3666)NessusCentOS Local Security Checks
critical
153621SUSE SLES15 Security Update : nodejs14 (SUSE-SU-2021:3211-1)NessusSuSE Local Security Checks
critical
153597openSUSE 15 Security Update : nodejs14 (openSUSE-SU-2021:3211-1)NessusSuSE Local Security Checks
critical
153577SUSE SLES12 Security Update : nodejs14 (SUSE-SU-2021:3184-1)NessusSuSE Local Security Checks
critical
153566Oracle Linux 8 : nodejs:12 (ELSA-2021-3623)NessusOracle Linux Local Security Checks
critical
153553RHEL 8 : nodejs:12 (RHSA-2021:3639)NessusRed Hat Local Security Checks
critical
153552RHEL 8 : nodejs:12 (RHSA-2021:3638)NessusRed Hat Local Security Checks
critical
153532CentOS 8 : nodejs:12 (CESA-2021:3623)NessusCentOS Local Security Checks
critical
153524RHEL 8 : nodejs:12 (RHSA-2021:3623)NessusRed Hat Local Security Checks
critical
153107openSUSE 15 Security Update : nodejs10 (openSUSE-SU-2021:1239-1)NessusSuSE Local Security Checks
critical
152999openSUSE 15 Security Update : nodejs10 (openSUSE-SU-2021:2953-1)NessusSuSE Local Security Checks
critical
152995SUSE SLES15 Security Update : nodejs10 (SUSE-SU-2021:2953-1)NessusSuSE Local Security Checks
critical
152963openSUSE 15 Security Update : nodejs12 (openSUSE-SU-2021:2875-1)NessusSuSE Local Security Checks
critical
152942openSUSE 15 Security Update : nodejs12 (openSUSE-SU-2021:1214-1)NessusSuSE Local Security Checks
critical
152914SUSE SLES15 Security Update : nodejs12 (SUSE-SU-2021:2875-1)NessusSuSE Local Security Checks
critical
152863RHEL 7 : rh-nodejs14-nodejs and rh-nodejs14-nodejs-nodemon (RHSA-2021:3280)NessusRed Hat Local Security Checks
critical
152862RHEL 7 : rh-nodejs12-nodejs and rh-nodejs12-nodejs-nodemon (RHSA-2021:3281)NessusRed Hat Local Security Checks
critical
152806SUSE SLES12 Security Update : nodejs10 (SUSE-SU-2021:2823-1)NessusSuSE Local Security Checks
critical
152804SUSE SLES12 Security Update : nodejs12 (SUSE-SU-2021:2824-1)NessusSuSE Local Security Checks
critical
152694openSUSE 15 Security Update : c-ares (openSUSE-SU-2021:1168-1)NessusSuSE Local Security Checks
medium
152650SUSE SLED15 / SLES15 Security Update : c-ares (SUSE-SU-2021:2760-1)NessusSuSE Local Security Checks
medium
152646openSUSE 15 Security Update : c-ares (openSUSE-SU-2021:2760-1)NessusSuSE Local Security Checks
medium
152611SUSE SLED12 / SLES12 Security Update : libcares2 (SUSE-SU-2021:2690-1)NessusSuSE Local Security Checks
medium
152560Photon OS 3.0: C PHSA-2021-3.0-0282NessusPhotonOS Local Security Checks
medium
152559Photon OS 4.0: C PHSA-2021-4.0-0079NessusPhotonOS Local Security Checks
medium
152558Photon OS 2.0: C PHSA-2021-2.0-0378NessusPhotonOS Local Security Checks
medium
152556Photon OS 1.0: C PHSA-2021-1.0-0423NessusPhotonOS Local Security Checks
medium
152486Debian DLA-2738-1 : c-ares - LTS security updateNessusDebian Local Security Checks
medium
152476SUSE SLES11 Security Update : libcares2 (SUSE-SU-2021:14776-1)NessusSuSE Local Security Checks
medium
152420Ubuntu 16.04 LTS : c-ares vulnerability (USN-5034-2)NessusUbuntu Local Security Checks
medium
152419Debian DSA-4954-1 : c-ares - security updateNessusDebian Local Security Checks
medium
152417Ubuntu 18.04 LTS / 20.04 LTS / 21.04 : c-ares vulnerability (USN-5034-1)NessusUbuntu Local Security Checks
medium